Update User Preferences
Bulk Update
Bulk API to update channel and category-level notification preferences for multiple users in one request.
PATCH
/
v1
/
bulk
/
user
/
preference
/
Bulk Update
curl --request PATCH \
--url https://hub.suprsend.com/v1/bulk/user/preference/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"distinct_ids": [
"id1",
"id2"
],
"channel_preferences": [
{
"channel": "email",
"is_restricted": false
}
],
"categories": [
{
"category": "_category_slug_",
"preference": "opt_in",
"opt_out_channels": [],
"opt_in_channels": [],
"digest_schedule": {
"id": "<string>",
"time": "<string>",
"dtstart": "2023-11-07T05:31:56Z",
"weekdays": [],
"monthdays": [
{
"pos": 123,
"day": "<string>"
}
]
},
"properties": [
{
"key": "<string>",
"value": "<unknown>"
}
]
}
]
}
'import requests
url = "https://hub.suprsend.com/v1/bulk/user/preference/"
payload = {
"distinct_ids": ["id1", "id2"],
"channel_preferences": [
{
"channel": "email",
"is_restricted": False
}
],
"categories": [
{
"category": "_category_slug_",
"preference": "opt_in",
"opt_out_channels": [],
"opt_in_channels": [],
"digest_schedule": {
"id": "<string>",
"time": "<string>",
"dtstart": "2023-11-07T05:31:56Z",
"weekdays": [],
"monthdays": [
{
"pos": 123,
"day": "<string>"
}
]
},
"properties": [
{
"key": "<string>",
"value": "<unknown>"
}
]
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
distinct_ids: ['id1', 'id2'],
channel_preferences: [{channel: 'email', is_restricted: false}],
categories: [
{
category: '_category_slug_',
preference: 'opt_in',
opt_out_channels: [],
opt_in_channels: [],
digest_schedule: {
id: '<string>',
time: '<string>',
dtstart: '2023-11-07T05:31:56Z',
weekdays: [],
monthdays: [{pos: 123, day: '<string>'}]
},
properties: [{key: '<string>', value: '<unknown>'}]
}
]
})
};
fetch('https://hub.suprsend.com/v1/bulk/user/preference/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"code": 404,
"message": "tenant '_tenant_id_' not found"
}Authorizations
Pass as Bearer <API_KEY>. Get API Key from SuprSend dashboard Developers -> API Keys section.
Query Parameters
to fetch user preferences for a particular tenant
Body
application/json
distinct_id of users whose preference need to be updated
Use this to update channel level user preferences. Set is_restricted - true if the channel is opted_out by the user. This will only send critical notifications to the user which can't be opted out
Show child attributes
Show child attributes
Use this to user preference across categories and channels inside a category.
Show child attributes
Show child attributes
Response
202
Example:
true
Was this page helpful?
⌘I
Bulk Update
